---
stages:
  - docker_stable
  - docker_tag

build-image-tag:
  stage: docker_tag
  only:
    refs:
      - tags
  tags:
    - docker-image-build
  script: "true"

  variables:
    DOCKER_FILE: ci/Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}


build-image-latest:
  stage: docker_stable
  only:
    refs:
      - master
  tags:
    - docker-image-build
  script: "true"

  variables:
    DOCKER_FILE: ci/Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:latest
